﻿Type=Class
Version=5.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
private Sub Class_Globals
	
	Private JO As JavaObject
	Private P As Phone
	
End Sub


'Initializes the object.
Public Sub Initialize
	
	JO.InitializeContext
		

End Sub

'Checks if the app has the specific Permission.
'
'Permission = Permission name e.g. android.permission.WRITE_EXTERNAL_STORAGE.
'
'Returns True when the permission is granted.
'Returns False when the permission is not granted or the SDK Version is smaller than 23
Public Sub CheckPermission (Permission As String) As Boolean
	
	If P.SdkVersion >= 23 Then	
		
		Dim I As Int = JO.RunMethod ("checkSelfPermission", Array As String (Permission))
				
		If I = 0 Then		
				Return True
			Else			
				Return False		
		End If	
	End If	
	Return False
	
End Sub

'Request a specific permission
'
'e.g. android.permission.WRITE_EXTERNAL_STORAGE
'
'NOTE: This permission must also be added to the Manifest!!!!
Public Sub RequestPermission (Permission As String)
		
	Dim Intg As Int = 2
	JO.RunMethod ("requestPermissions", Array As Object (Array As String (Permission), Intg))
	
End Sub

'Request an StringArray of permissions
'
'e.g. Array as String ("android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE")
'
'NOTE: This permissions must also be added to the Manifest!!!!
Public Sub RequestMultiplePermissions (Permissions As Object)
		
	Dim Intg As Int = 1
	JO.RunMethod ("requestPermissions", Array As Object (Permissions, Intg))
	
End Sub